If ( IsAdmin )
{
    If ( Test-Path 'HKLM:SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Adobe Flash Player NPAPI' )
    { $RegKey = 'HKLM:SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Adobe Flash Player NPAPI' }
    ElseIf ( Test-Path 'HKLM:SOFTWARE\WOW6432Node\Microsoft\Windows\CurrentVersion\Uninstall\Adobe Flash Player NPAPI' )
    { $RegKey = 'HKLM:SOFTWARE\WOW6432Node\Microsoft\Windows\CurrentVersion\Uninstall\Adobe Flash Player NPAPI' }
    If ( $RegKey )
    {
        LogMsg "Found uninstall string: ${UninstallString}"
        $UninstallString = (Get-ItemProperty -Path $RegKey).UninstallString
        $UninstallProgram = $UninstallString -replace ' -maintain plugin', ''
        LogMsg "Running: ""${UninstallProgram}"" -uninstall"
        Try { Start-Process "${UninstallProgram}" -ArgumentList "-uninstall" -Wait }
        Catch { LogErr $_.Exception.Message }
    }
    Else { LogMsg "Adobe Flash Player is not installed" }
}
Else { LogMsg "Must have administrative privileges to uninstall Adobe Flash" }